MSGUNFMT(1)

BEZEICHNUNG
msgunfmt - Meldungskatalog aus dem Binärformat dekompilieren

ÜBERSICHT
msgunfmt [OPTION] [DATEI] …

BESCHREIBUNG

Wandelt einen binären Meldungskatalog in eine .po-Datei im Uniforum-Stil um.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

  Betriebsmodus:

-j, --java
    aktiviert den Java-Modus, in dem die Eingabe eine ResourceBundle-Klasse für Java ist.

--csharp
    aktiviert den C#-Modus, in dem die Eingabe eine .NET-.dll-Datei ist.

--csharp-resources
    aktiviert den C#-Ressourcenmodus, in dem die Eingabe eine .NET-.resources-Datei ist.

--tcl
    aktiviert den Tcl-Modus, in dem die Eingabe eine tcl/msgcat-.dll-Datei ist.

  Orte der Eingabedateien:

DATEI …
    .mo-Eingabedateien

Wenn keine Eingabedatei oder »-« angegeben ist, wird die Standardeingabe gelesen.

  Orte der Eingabedateien im Java-Modus:

-r, --resource=RESSOURCE
    Ressourcenname

-l, --locale=LOCALE
    gibt den Namen der Locale an, entweder als »Sprache« (z.B. de) oder »Sprache_LAND« (z.B. de_DE).

Der Klassenname wird durch Anhängen des Locale-Namens an den Ressourcennamen gebildet, durch einen Unterstrich getrennt. Der Speicherort der Klasse wird mittels CLASSPATH ermittelt.

  Orte der Eingabedateien im C#-Modus:

-r, --resource=RESSOURCE
    Ressourcenname

-l, --locale=LOCALE
    gibt den Namen der Locale an, entweder als »Sprache« (z.B. de) oder »Sprache_LAND« (z.B. de_DE).

-d VERZEICHNIS
    gibt das Basisverzeichnis der Locale-abhängigen .dll-Dateien an.

Die Optionen -l und -d sind obligatorisch. Die .dll-Datei befindet sich in einem Unterverzeichnis des angegebenen Verzeichnisses, dessen Name von der Locale bestimmt wird.

  Orte der Eingabedateien im Tcl-Modus:

-l, --locale=LOCALE
    gibt den Namen der Locale an, entweder als »Sprache« (z.B. de) oder »Sprache_LAND« (z.B. de_DE).

-d VERZEICHNIS
    gibt das Basisverzeichnis des .msg-Meldungskatalogs an.

Die Optionen -l und -d sind obligatorisch. Die .msg-Datei befindet sich in dem angegebenen Verzeichnis.

  Orte der Ausgabedateien:

-o, --output-file=DATEI
    schreibt die Ausgabe in die angegebene DATEI.

Die Ergebnisse werden in die Standardausgabe geschrieben, wenn keine Datei oder »-« angegeben ist.

  Details zur Ausgabe:

--color
    verwendet immer Farben und andere Text-Attribute.

--color=WERT
    verwendet Farben und andere Text-Attribute. Der angegebene WERT kann »always«, »never«, »auto« oder »html« sein.

--style=STILDATEI
    gibt die CSS-Datei mit Stil-Regel für --color an.

-e, --no-escape
    verwendet keine C-Maskier-Sequenzen in der Ausgabe (Vorgabe).

-E, --escape
    verwendet C-Maskier-Sequenzen in der Ausgabe, keine erweiterten Zeichen.

--force-po
    erstellt die PO-Datei auch dann, wenn sie leer ist.

-i, --indent
    stellt die Ausgabe eingerückt dar.

--strict
    schreibt die Ausgabe strikt im Uniforum-Stil.

-p, --properties-output
    schreibt eine .properties-Datei für Java.

--stringtable-output
    schreibt eine .strings-Datei für NeXTstep/GNUstep.

-w, --width=ANZAHL
    legt die Breite der Ausgabe auf die angegebene ANZAHL Spalten fest.

--no-wrap
    bricht Zeilen in Meldungen, die länger als die Breite der Ausgabe sind, nicht auf mehrere Zeilen um.

-s, --sort-output
    erstellt eine sortierte Ausgabe.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

-v, --verbose
    erhöht die Ausführlichkeitsstufe.

AUTOR
Geschrieben von Ulrich Drepper.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf https://savannah.gnu.org/projects/gettext oder per E-Mail an bug-gettext@gnu.org (jeweils auf Englisch).

COPYRIGHT
Copyright © 1995-2024 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für msgunfmt wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und msgunfmt auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info msgunfmt

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).